IMAP Markers
Operations of the Connector Gateway API. Paths are relative to your deployment's API host.
DELETE /api/connector-gateway-api/imap/refusals/{key}
Clear this organisation's recorded refusal for an IMAP fetch window so it is retried on the next run. Idempotent.
Authentication: bearer token (Authorization: Bearer <token>)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
key | path | string | yes | Composite IMAP fetch-cursor key named in the refusal error. |
| Status | Description | Body |
|---|---|---|
| 400 | application/problem+json ProblemDetailsDto | |
| 401 | application/problem+json ProblemDetailsDto | |
| 403 | application/problem+json ProblemDetailsDto | |
| 404 | application/problem+json ProblemDetailsDto | |
| 409 | application/problem+json ProblemDetailsDto | |
| 422 | application/problem+json ProblemDetailsDto | |
| 500 | application/problem+json ProblemDetailsDto |